CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-2749

MySQL 5.1.x before 5.1.63 and 5.5.x before 5.5.24 allows remote authenticated users to cause a denial of service (mysqld crash) via vectors related to incorrect calculation and a sort order index.
Publish Date : 2012-08-17 Last Update Date : 2019-12-17
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication ???
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low
4.0
AV:N/AC:L/Au:S/C:N/I:N/A:P 2012-05-11 2012-04-04
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
DEPRECATED: ELSA-2012-1462 -- mysql security update (important) oval:org.mitre.oval:def:27464 unix
DEPRECATED: ELSA-2013-0180 -- mysql security update (important) oval:org.mitre.oval:def:27670 unix
DSA-2496-1 mysql-5.1 - several oval:org.mitre.oval:def:19860 unix
ELSA-2012:1462: mysql security update (Important) oval:org.mitre.oval:def:23931 unix
ELSA-2013:0180: mysql security update (Important) oval:org.mitre.oval:def:23326 unix
RHSA-2012:1462: mysql security update (Important) oval:org.mitre.oval:def:21643 unix
RHSA-2012:1462: mysql security update (Important) oval:com.redhat.rhsa:def:20121462 unix
RHSA-2013:0180: mysql security update (Important) oval:org.mitre.oval:def:21022 unix
RHSA-2013:0180: mysql security update (Important) oval:com.redhat.rhsa:def:20130180 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-2749

# Product Type Vendor Product Version Update Edition Language
1 Application Mysql Mysql 5.1.5 * * * Version Details Vulnerabilities
2 Application Mysql Mysql 5.1.23 * * * Version Details Vulnerabilities
3 Application Mysql Mysql 5.1.31 * * * Version Details Vulnerabilities
4 Application Mysql Mysql 5.1.32 * * * Version Details Vulnerabilities
5 Application Mysql Mysql 5.1.34 * * * Version Details Vulnerabilities
6 Application Mysql Mysql 5.1.37 * * * Version Details Vulnerabilities
7 Application Oracle Mysql 5.1 * * * Version Details Vulnerabilities
8 Application Oracle Mysql 5.1.1 * * * Version Details Vulnerabilities
9 Application Oracle Mysql 5.1.2 * * * Version Details Vulnerabilities
10 Application Oracle Mysql 5.1.3 * * * Version Details Vulnerabilities
11 Application Oracle Mysql 5.1.4 * * * Version Details Vulnerabilities
12 Application Oracle Mysql 5.1.6 * * * Version Details Vulnerabilities
13 Application Oracle Mysql 5.1.7 * * * Version Details Vulnerabilities
14 Application Oracle Mysql 5.1.8 * * * Version Details Vulnerabilities
15 Application Oracle Mysql 5.1.9 * * * Version Details Vulnerabilities
16 Application Oracle Mysql 5.1.10 * * * Version Details Vulnerabilities
17 Application Oracle Mysql 5.1.11 * * * Version Details Vulnerabilities
18 Application Oracle Mysql 5.1.12 * * * Version Details Vulnerabilities
19 Application Oracle Mysql 5.1.13 * * * Version Details Vulnerabilities
20 Application Oracle Mysql 5.1.14 * * * Version Details Vulnerabilities
21 Application Oracle Mysql 5.1.15 * * * Version Details Vulnerabilities
22 Application Oracle Mysql 5.1.16 * * * Version Details Vulnerabilities
23 Application Oracle Mysql 5.1.17 * * * Version Details Vulnerabilities
24 Application Oracle Mysql 5.1.18 * * * Version Details Vulnerabilities
25 Application Oracle Mysql 5.1.19 * * * Version Details Vulnerabilities
26 Application Oracle Mysql 5.1.20 * * * Version Details Vulnerabilities
27 Application Oracle Mysql 5.1.21 * * * Version Details Vulnerabilities
28 Application Oracle Mysql 5.1.22 * * * Version Details Vulnerabilities
29 Application Oracle Mysql 5.1.23 A * * Version Details Vulnerabilities
30 Application Oracle Mysql 5.1.24 * * * Version Details Vulnerabilities
31 Application Oracle Mysql 5.1.25 * * * Version Details Vulnerabilities
32 Application Oracle Mysql 5.1.26 * * * Version Details Vulnerabilities
33 Application Oracle Mysql 5.1.27 * * * Version Details Vulnerabilities
34 Application Oracle Mysql 5.1.28 * * * Version Details Vulnerabilities
35 Application Oracle Mysql 5.1.29 * * * Version Details Vulnerabilities
36 Application Oracle Mysql 5.1.30 * * * Version Details Vulnerabilities
37 Application Oracle Mysql 5.1.31 SP1 * * Version Details Vulnerabilities
38 Application Oracle Mysql 5.1.33 * * * Version Details Vulnerabilities
39 Application Oracle Mysql 5.1.34 SP1 * * Version Details Vulnerabilities
40 Application Oracle Mysql 5.1.35 * * * Version Details Vulnerabilities
41 Application Oracle Mysql 5.1.36 * * * Version Details Vulnerabilities
42 Application Oracle Mysql 5.1.37 SP1 * * Version Details Vulnerabilities
43 Application Oracle Mysql 5.1.38 * * * Version Details Vulnerabilities
44 Application Oracle Mysql 5.1.39 * * * Version Details Vulnerabilities
45 Application Oracle Mysql 5.1.40 SP1 * * Version Details Vulnerabilities
46 Application Oracle Mysql 5.1.40 * * * Version Details Vulnerabilities
47 Application Oracle Mysql 5.1.41 * * * Version Details Vulnerabilities
48 Application Oracle Mysql 5.1.42 * * * Version Details Vulnerabilities
49 Application Oracle Mysql 5.1.43 * * * Version Details Vulnerabilities
50 Application Oracle Mysql 5.1.43 SP1 * * Version Details Vulnerabilities
51 Application Oracle Mysql 5.1.44 * * * Version Details Vulnerabilities
52 Application Oracle Mysql 5.1.45 * * * Version Details Vulnerabilities
53 Application Oracle Mysql 5.1.46 SP1 * * Version Details Vulnerabilities
54 Application Oracle Mysql 5.1.46 * * * Version Details Vulnerabilities
55 Application Oracle Mysql 5.1.47 * * * Version Details Vulnerabilities
56 Application Oracle Mysql 5.1.48 * * * Version Details Vulnerabilities
57 Application Oracle Mysql 5.1.49 SP1 * * Version Details Vulnerabilities
58 Application Oracle Mysql 5.1.49 * * * Version Details Vulnerabilities
59 Application Oracle Mysql 5.1.50 * * * Version Details Vulnerabilities
60 Application Oracle Mysql 5.1.51 * * * Version Details Vulnerabilities
61 Application Oracle Mysql 5.1.52 SP1 * * Version Details Vulnerabilities
62 Application Oracle Mysql 5.1.52 * * * Version Details Vulnerabilities
63 Application Oracle Mysql 5.1.53 * * * Version Details Vulnerabilities
64 Application Oracle Mysql 5.1.54 * * * Version Details Vulnerabilities
65 Application Oracle Mysql 5.1.55 * * * Version Details Vulnerabilities
66 Application Oracle Mysql 5.1.56 * * * Version Details Vulnerabilities
67 Application Oracle Mysql 5.1.57 * * * Version Details Vulnerabilities
68 Application Oracle Mysql 5.1.58 * * * Version Details Vulnerabilities
69 Application Oracle Mysql 5.1.59 * * * Version Details Vulnerabilities
70 Application Oracle Mysql 5.1.60 * * * Version Details Vulnerabilities
71 Application Oracle Mysql 5.1.61 * * * Version Details Vulnerabilities
72 Application Oracle Mysql 5.1.62 * * * Version Details Vulnerabilities
73 Application Oracle Mysql 5.5.0 * * * Version Details Vulnerabilities
74 Application Oracle Mysql 5.5.1 * * * Version Details Vulnerabilities
75 Application Oracle Mysql 5.5.2 * * * Version Details Vulnerabilities
76 Application Oracle Mysql 5.5.3 * * * Version Details Vulnerabilities
77 Application Oracle Mysql 5.5.4 * * * Version Details Vulnerabilities
78 Application Oracle Mysql 5.5.5 * * * Version Details Vulnerabilities
79 Application Oracle Mysql 5.5.6 * * * Version Details Vulnerabilities
80 Application Oracle Mysql 5.5.7 * * * Version Details Vulnerabilities
81 Application Oracle Mysql 5.5.9 * * * Version Details Vulnerabilities
82 Application Oracle Mysql 5.5.10 * * * Version Details Vulnerabilities
83 Application Oracle Mysql 5.5.11 * * * Version Details Vulnerabilities
84 Application Oracle Mysql 5.5.12 * * * Version Details Vulnerabilities
85 Application Oracle Mysql 5.5.13 * * * Version Details Vulnerabilities
86 Application Oracle Mysql 5.5.14 * * * Version Details Vulnerabilities
87 Application Oracle Mysql 5.5.15 * * * Version Details Vulnerabilities
88 Application Oracle Mysql 5.5.16 * * * Version Details Vulnerabilities
89 Application Oracle Mysql 5.5.17 * * * Version Details Vulnerabilities
90 Application Oracle Mysql 5.5.18 * * * Version Details Vulnerabilities
91 Application Oracle Mysql 5.5.19 * * * Version Details Vulnerabilities
92 Application Oracle Mysql 5.5.20 * * * Version Details Vulnerabilities
93 Application Oracle Mysql 5.5.21 * * * Version Details Vulnerabilities
94 Application Oracle Mysql 5.5.22 * * * Version Details Vulnerabilities
95 Application Oracle Mysql 5.5.23 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mysql Mysql 6
Oracle Mysql 89

- References For CVE-2012-2749

http://www.mandriva.com/security/advisories?name=MDVSA-2013:150
MANDRIVA MDVSA-2013:150
http://www.securityfocus.com/bid/55120
BID 55120 Oracle MySQL CVE-2012-2749 Denial Of Service Vulnerability Release Date:2013-09-02
http://secunia.com/advisories/51309
SECUNIA 51309
http://rhn.redhat.com/errata/RHSA-2013-0180.html
REDHAT RHSA-2013:0180
http://rhn.redhat.com/errata/RHSA-2012-1462.html
REDHAT RHSA-2012:1462
https://bugzilla.redhat.com/show_bug.cgi?id=833737 CONFIRM
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-63.html CONFIRM
http://security.gentoo.org/glsa/glsa-201308-06.xml
GENTOO GLSA-201308-06
http://secunia.com/advisories/53372
SECUNIA 53372

- Metasploit Modules Related To CVE-2012-2749

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.